Skip to main content
POST
/
clients
/
me
/
integrations
/
blockaid
/
evm
/
scan
Scan an EVM transaction
curl --request POST \
  --url https://api.portalhq.io/api/v3/clients/me/integrations/blockaid/evm/scan \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "chainId": "<string>",
  "transaction": {
    "from": "<string>",
    "to": "<string>",
    "data": "<string>",
    "value": "<string>"
  }
}
'
import requests

url = "https://api.portalhq.io/api/v3/clients/me/integrations/blockaid/evm/scan"

payload = {
    "chainId": "<string>",
    "transaction": {
        "from": "<string>",
        "to": "<string>",
        "data": "<string>",
        "value": "<string>"
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    chainId: '<string>',
    transaction: {from: '<string>', to: '<string>', data: '<string>', value: '<string>'}
  })
};

fetch('https://api.portalhq.io/api/v3/clients/me/integrations/blockaid/evm/scan', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "rawResponse": {
      "validation": {},
      "simulation": {}
    }
  }
}
{
  "error": "<string>"
}
{
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.

Body

application/json
chainId
string
required

Chain ID in CAIP-2 format.

transaction
object
required

Response

Scan completed successfully

data
object